<html>
<head>
    <meta charset="UTF-8">
    <title>간단한 지도 표시하기</title>
    <script type="text/javascript" src="https://openapi.map.naver.com/openapi/v3/maps.js?ncpClientId=6msw8dshkf"></script>
</head>
<body>
<div id="map" style="width:100%;height:400px;"></div>

<script>
var mapOptions = {
    center: new naver.maps.LatLng(35.8862487, 128.6023765),
    zoom: 10
};
var map = new naver.maps.Map('map', mapOptions);

var markerOptions = {
    position: new naver.maps.LatLng(35.8862487, 128.6023765),
    map: map
};
var marker = new naver.maps.Marker(markerOptions);

var infoWindow = new naver.maps.InfoWindow({
	content: '<div style="width:150px;text-align:center;padding:10px;">현 위치는 <b>대구</b>.</div>'
});
// infoWindow.open(map, marker);

//	클릭에 대한 이벤트
function getClickHandler() {
    return function(e) {
        if (infoWindow.getMap()) {
            infoWindow.close();
        } else {
            infoWindow.open(map, marker);
        }
    }
}
naver.maps.Event.addListener(marker, 'click', getClickHandler());

</script>
</body>
</html>
